# Class DoubleArrayParameter

java.lang.Object
uk.ac.starlink.task.Parameter<double[]>
uk.ac.starlink.ttools.task.DoubleArrayParameter

public class DoubleArrayParameter extends uk.ac.starlink.task.Parameter<double[]>
Parameter for acquiring a fixed-length array of floating point values.

Since:
  19 Sep 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`DoubleArrayParameter(String name, int count)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`doublesValue(uk.ac.starlink.task.Environment env)`
Returns the parameter value as an array of doubles.
`float[]`
`floatsValue(uk.ac.starlink.task.Environment env)`
Returns the parameter value as an array of floats.
`String`
`objectToString(uk.ac.starlink.task.Environment env, double[] dvals)`
`double[]`
`stringToObject(uk.ac.starlink.task.Environment env, String stringval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleArrayParameter

public DoubleArrayParameter(String name, int count)
Constructor.

Parameters:
  `name` - parameter name
  `count` - numeric array length

## Method Details

### doublesValue

public double[] doublesValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the parameter value as an array of doubles.

Parameters:
  `env` - execution environment
Returns:
  array value
Throws:
  `uk.ac.starlink.task.TaskException`

### floatsValue

public float[] floatsValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the parameter value as an array of floats.

Parameters:
  `env` - execution environment
Returns:
  array value
Throws:
  `uk.ac.starlink.task.TaskException`

### stringToObject

public double[] stringToObject(uk.ac.starlink.task.Environment env, String stringval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<double[]>`
Throws:
  `uk.ac.starlink.task.TaskException`

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, double[] dvals) throws uk.ac.starlink.task.TaskException

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<double[]>`
Throws:
  `uk.ac.starlink.task.TaskException`